Name:           python-edc-qol
Version:        1.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Quality of Life instrument forms/models for the clinicedc/edc and other django projects

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/clinicedc/edc-qol
Source:         %{pypi_source edc_qol}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'edc-qol' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-edc-qol
Summary:        %{summary}

%description -n python3-edc-qol %_description


%prep
%autosetup -p1 -n edc_qol-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-edc-qol -f %{pyproject_files}


%changelog
%autochangelog